export const getSize = (value) => {
    return typeof value === 'number' ? `${value}px` : value;
};
export const getPos = (e, elem, isReverse) => {
    const event = e instanceof MouseEvent ? e : e.targetTouches[0];
    const rect = elem.getBoundingClientRect();
    const posObj = {
        x: event.pageX - rect.left,
        y: event.pageY - rect.top,
    };
    return {
        x: isReverse ? elem.offsetWidth - posObj.x : posObj.x,
        y: isReverse ? elem.offsetHeight - posObj.y : posObj.y,
    };
};
export const getKeyboardHandleFunc = (e, params) => {
    switch (e.keyCode) {
        case 38 /* UP */:
            return i => (params.direction === 'ttb' ? i - 1 : i + 1);
        case 39 /* RIGHT */:
            return i => (params.direction === 'rtl' ? i - 1 : i + 1);
        case 40 /* DOWN */:
            return i => (params.direction === 'ttb' ? i + 1 : i - 1);
        case 37 /* LEFT */:
            return i => (params.direction === 'rtl' ? i + 1 : i - 1);
        case 35 /* END */:
            return () => params.max;
        case 36 /* HOME */:
            return () => params.min;
        case 33 /* PAGE_UP */:
            return i => i + 10;
        case 34 /* PAGE_DOWN */:
            return i => i - 10;
        default:
            return null;
    }
};
//# sourceMappingURL=index.js.map